#3240 closed defect (fixed)

cpukit/libmisc/stackchk/check.c stack addresses formatted incorrectly.

Reported by: Andrei Chichak Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: lib Version: 5
Severity: normal Keywords: rtems_stack_checker_report_usage
Cc: Blocked By:
Blocking:

Description

The function Stack_check_Dump_threads_usage displays the stack high, low, and current pointers incorrectly.

Instead of displaying these pointers in conventional hex format, the values have a proper prefix of 0x, but the pointer value is displayed in decimal.

The incorrect inttypes.h formatting define was used.

Attachments (1)

0001-libmisc-stackchk-check.c-correct-formatting-of-stack.patch (1.4 KB) - added by Andrei Chichak on Nov 18, 2017 at 6:14:29 AM.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Nov 18, 2017 at 6:05:38 AM by Andrei Chichak

Last edited on Nov 18, 2017 at 6:14:58 AM by Andrei Chichak (previous) (diff)

comment:2 Changed on Dec 5, 2017 at 9:17:08 PM by Joel Sherrill

Wasn't a fix for this committed? Is there work left to do? Either close or state actions left. Please

comment:3 Changed on Dec 6, 2017 at 6:05:34 AM by Chris Johns

No, the format of the prints is wrong and this patch fixes it. It needs to be applied and that should close the ticket.

comment:4 Changed on Dec 6, 2017 at 10:48:31 PM by Chris Johns

Owner: set to Chris Johns
Status: newaccepted

comment:5 Changed on Dec 6, 2017 at 10:51:35 PM by Andrei Chichak <andrei@…>

Resolution: fixed
Status: acceptedclosed

In 1737e8f/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.
Note: See TracTickets for help on using tickets.